package processor

import (
	"be.ems/src/framework/cron"
	"be.ems/src/modules/crontask/processor/backupEtcFromNE"
	"be.ems/src/modules/crontask/processor/delExpiredNeBackup"
	"be.ems/src/modules/crontask/processor/deleteExpiredRecord"
	"be.ems/src/modules/crontask/processor/exportTable"
	"be.ems/src/modules/crontask/processor/genNeStateAlarm"
	"be.ems/src/modules/crontask/processor/getStateFromNE"
	processorMonitorSysResource "be.ems/src/modules/crontask/processor/monitor_sys_resource"
	processorNeConfigBackup "be.ems/src/modules/crontask/processor/ne_config_backup"
	processorNeDataUDM "be.ems/src/modules/crontask/processor/ne_data_udm"
	"be.ems/src/modules/crontask/processor/removeFile"
)

// InitCronQueue 初始定时任务队列
func InitCronQueue() {
	// 监控-系统资源
	cron.CreateQueue("monitor_sys_resource", processorMonitorSysResource.NewProcessor)
	// 网元-网元配置文件定期备份
	cron.CreateQueue("ne_config_backup", processorNeConfigBackup.NewProcessor)
	// 网元数据-UDM数据刷新同步
	cron.CreateQueue("ne_data_udm", processorNeDataUDM.NewProcessor)
	// delete expired NE backup file
	cron.CreateQueue("delExpiredNeBackup", delExpiredNeBackup.NewProcessor)
	cron.CreateQueue("deleteExpiredRecord", deleteExpiredRecord.NewProcessor)
	cron.CreateQueue("backupEtcFromNE", backupEtcFromNE.NewProcessor)
	cron.CreateQueue("getStateFromNE", getStateFromNE.NewProcessor)
	cron.CreateQueue("genNeStateAlarm", genNeStateAlarm.NewProcessor)
	cron.CreateQueue("exportTable", exportTable.NewProcessor)
	cron.CreateQueue("removeFile", removeFile.NewProcessor)
}
